# Create agreement

## POST /public/v1/commerce/agreements

> Creates a new agreement.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5525-gdc102b2e"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/commerce/agreements":{"post":{"tags":["Agreements"],"summary":"Creates a new agreement.","requestBody":{"description":"Agreement details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agreement"}},"text/json":{"schema":{"$ref":"#/components/schemas/Agreement"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Agreement"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Agreement"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"Agreement":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/AgreementAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"status":{"allOf":[{"$ref":"#/components/schemas/AgreementStatus"}]},"listing":{"type":"object","allOf":[{"$ref":"#/components/schemas/ListingRef"}]},"authorization":{"type":"object","allOf":[{"$ref":"#/components/schemas/AuthorizationRef"}]},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"client":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"price":{"allOf":[{"$ref":"#/components/schemas/AgreementSummaryPrice"}]},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"template":{"type":"object","allOf":[{"$ref":"#/components/schemas/TemplateRef"}]},"error":{"allOf":[{"$ref":"#/components/schemas/ParametrisedMessage"}],"nullable":true},"lines":{"type":"array","items":{"$ref":"#/components/schemas/AgreementLine"},"nullable":true},"assets":{"type":"array","items":{"$ref":"#/components/schemas/AssetRef"},"nullable":true},"subscriptions":{"type":"array","items":{"$ref":"#/components/schemas/SubscriptionRef"},"nullable":true},"parameters":{"allOf":[{"$ref":"#/components/schemas/ParameterBag"}]},"licensee":{"type":"object","allOf":[{"$ref":"#/components/schemas/LicenseeRef"}]},"buyer":{"allOf":[{"$ref":"#/components/schemas/Buyer"}]},"seller":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"split":{"type":"object","allOf":[{"$ref":"#/components/schemas/SplitBillingAgreementRef"}]},"termsAndConditions":{"type":"array","items":{"$ref":"#/components/schemas/CommerceTermsAndConditionsRef"}},"certificates":{"type":"array","items":{"$ref":"#/components/schemas/CertificateRef"}}},"additionalProperties":false},"AgreementAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"active":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"provisioning":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"allOf":[{"$ref":"#/components/schemas/PlatformIdentity"}],"nullable":true}},"additionalProperties":false},"PlatformIdentity":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"AgreementStatus":{"enum":["New","Draft","Provisioning","Updating","Active","Terminated","Failed","Deleted"],"type":"string"},"ListingRef":{"type":"object","properties":{"id":{"type":"string"},"revision":{"type":"integer","format":"int32"},"name":{"type":"string"}},"additionalProperties":false},"AuthorizationRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"currency":{"type":"string"}},"additionalProperties":false},"Account":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AccountExternalIds"}],"nullable":true},"externalId":{"type":"string","nullable":true},"externalName":{"type":"string","nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"technicalSupportEmail":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"groups":{"type":"array","items":{"$ref":"#/components/schemas/UserGroup"},"nullable":true},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true},"defaultLanguageCode":{"type":"string","nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"AccountExternalIds":{"type":"object","properties":{"pyraTenantId":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"UserGroup":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"account":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"modules":{"type":"array","items":{"$ref":"#/components/schemas/Module"}},"logo":{"type":"string","nullable":true},"isDefault":{"type":"boolean"},"users":{"type":"array","items":{"$ref":"#/components/schemas/User"}},"extensions":{"type":"array","items":{"$ref":"#/components/schemas/PlatformObjectAuditPlatformExtension"},"nullable":true},"buyers":{"type":"array","items":{"$ref":"#/components/schemas/Buyer"},"nullable":true}},"additionalProperties":false},"Module":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string"},"code":{"type":"string"},"accountTypes":{"type":"array","items":{"type":"string"}},"filters":{"allOf":[{"$ref":"#/components/schemas/Filters"}],"nullable":true},"settings":{"allOf":[{"$ref":"#/components/schemas/ModuleSettings"}],"nullable":true}},"additionalProperties":false},"Filters":{"type":"object","properties":{"group.buyers":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"ModuleSettings":{"type":"object","properties":{"sharedAccount":{"type":"boolean","deprecated":true},"configurable":{"type":"boolean"},"default":{"type":"boolean"},"paid":{"type":"boolean"},"type":{"type":"array","items":{"type":"string"}},"obsolete":{"type":"boolean"},"eligibility":{"allOf":[{"$ref":"#/components/schemas/ModuleSettingsEligibility"}],"nullable":true}},"additionalProperties":false},"ModuleSettingsEligibility":{"type":"object","properties":{"multi":{"type":"boolean"},"single":{"type":"boolean"}},"additionalProperties":false},"User":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/UserAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"email":{"type":"string"},"status":{"type":"string"},"phone":{"allOf":[{"$ref":"#/components/schemas/PhoneNumber"}],"nullable":true},"firstName":{"type":"string"},"lastName":{"type":"string"},"lastLoginAt":{"type":"string","format":"date-time","nullable":true},"settings":{"allOf":[{"$ref":"#/components/schemas/UserSettings"}],"nullable":true},"accounts":{"type":"array","items":{"$ref":"#/components/schemas/Account"}},"currentAccount":{"allOf":[{"$ref":"#/components/schemas/Account"}],"nullable":true}},"additionalProperties":false},"UserAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"invitationAcceptedAt":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"PhoneNumber":{"type":"object","properties":{"prefix":{"type":"string","nullable":true},"number":{"type":"string","nullable":true}},"additionalProperties":false},"UserSettings":{"type":"object","properties":{"cultureCode":{"type":"string"},"dateFormat":{"type":"string","nullable":true},"languageCode":{"type":"string"},"numberFormat":{"allOf":[{"$ref":"#/components/schemas/NumberFormat"}],"nullable":true},"timeFormat":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false},"NumberFormat":{"type":"object","properties":{"decimalSeparator":{"type":"string"},"groupSeparator":{"type":"string"}},"additionalProperties":false},"PlatformObjectAuditPlatformExtension":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}],"nullable":true},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"status":{"enum":["Draft","Private","Public","Deleted"],"type":"string"}},"additionalProperties":false},"Buyer":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/BuyerAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/BuyerExternalIds"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/BuyerStatus"}],"nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}],"nullable":true},"taxId":{"type":"string","nullable":true},"account":{"allOf":[{"$ref":"#/components/schemas/Account"}],"nullable":true},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ParametrisedMessage"},"nullable":true},"sellers":{"type":"array","items":{"$ref":"#/components/schemas/Seller"},"nullable":true}},"additionalProperties":false},"BuyerAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"activated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unassigned":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"disabled":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"BuyerExternalIds":{"type":"object","properties":{"erpCompanyContact":{"type":"string","nullable":true},"erpCustomer":{"type":"string","nullable":true},"accountExternalId":{"type":"string","nullable":true}},"additionalProperties":false},"BuyerStatus":{"enum":["Active","Enabled","Disabled","Deleted","Unassigned","Conflict","Mismatch"],"type":"string"},"ParametrisedMessage":{"type":"object","properties":{"id":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"parameters":{"nullable":true}},"additionalProperties":false},"Seller":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalId":{"type":"string","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/SellerStatus"}],"nullable":true},"currencies":{"type":"array","items":{"$ref":"#/components/schemas/SellerCurrency"},"nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"erpLink":{"allOf":[{"$ref":"#/components/schemas/ErpLink"}],"nullable":true}},"additionalProperties":false},"SellerStatus":{"enum":["Active","Disabled","Offline","Deleted"],"type":"string"},"SellerCurrency":{"type":"object","properties":{"value":{"type":"string"},"billingEnabled":{"type":"boolean"},"isDefault":{"type":"boolean"}},"additionalProperties":false},"ErpLink":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ErpLinkAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"buyer":{"allOf":[{"$ref":"#/components/schemas/Buyer"}]},"seller":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"companyName":{"type":"string","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/ErpLinkStatus"}]},"note":{"type":"string","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/BuyerExternalIds"}],"nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}],"nullable":true},"shipTo":{"type":"array","items":{"$ref":"#/components/schemas/ErpLinkAddress"},"nullable":true},"billTo":{"type":"array","items":{"$ref":"#/components/schemas/ErpLinkAddress"},"nullable":true}},"additionalProperties":false},"ErpLinkAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"blocked":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unblocked":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"ErpLinkStatus":{"enum":["Active","Blocked"],"type":"string"},"ErpLinkAddress":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"externalId":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"Eligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"AgreementSummaryPrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"SPxY":{"type":"number","format":"double","nullable":true},"SPxM":{"type":"number","format":"double","nullable":true},"PPxY":{"type":"number","format":"double","nullable":true},"PPxM":{"type":"number","format":"double","nullable":true},"defaultMarkup":{"type":"number","format":"double","nullable":true},"defaultMargin":{"type":"number","format":"double","nullable":true},"billingCurrency":{"type":"string"},"source":{"type":"string"}},"additionalProperties":false},"MarkupSourcePrice":{"type":"object","properties":{"type":{"type":"string","nullable":true},"ref":{"allOf":[{"$ref":"#/components/schemas/MarkupSourceRefPrice"}],"nullable":true}},"additionalProperties":false},"MarkupSourceRefPrice":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"TemplateRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"AgreementLine":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/AgreementLineAudit"}]},"quantity":{"type":"integer","format":"int32"},"item":{"allOf":[{"$ref":"#/components/schemas/ProductItem"}]},"price":{"allOf":[{"$ref":"#/components/schemas/AgreementLinePrice"}]},"order":{"allOf":[{"$ref":"#/components/schemas/Order"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AgreementLineStatus"}]},"subscription":{"allOf":[{"$ref":"#/components/schemas/Subscription"}]},"asset":{"allOf":[{"$ref":"#/components/schemas/Asset"}]},"agreement":{"allOf":[{"$ref":"#/components/schemas/Agreement"}]},"client":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"buyer":{"allOf":[{"$ref":"#/components/schemas/Buyer"}]},"seller":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"description":{"type":"string","nullable":true},"info":{"allOf":[{"$ref":"#/components/schemas/PriceInfo"}]}},"additionalProperties":false},"AgreementLineAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"ProductItem":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ProductItemAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ProductItemExternalIdBag"}]},"group":{"type":"object","allOf":[{"$ref":"#/components/schemas/ItemGroupRef"}]},"unit":{"type":"object","allOf":[{"$ref":"#/components/schemas/UnitOfMeasureRef"}]},"terms":{"allOf":[{"$ref":"#/components/schemas/TermsEntity"}]},"quantityNotApplicable":{"type":"boolean"},"status":{"type":"string"},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/ParameterValue"}}},"additionalProperties":false},"ProductItemAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"pending":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"ProductItemExternalIdBag":{"type":"object","properties":{"vendor":{"type":"string"},"operations":{"type":"string","nullable":true}},"additionalProperties":false},"ItemGroupRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"UnitOfMeasureRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true}},"additionalProperties":false},"TermsEntity":{"type":"object","properties":{"model":{"enum":["one-time","usage","quantity"],"type":"string"},"period":{"enum":["1m","1y","one-time"],"type":"string"},"commitment":{"enum":["1m","1y","3y"],"type":"string","nullable":true}},"additionalProperties":false},"Product":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ProductAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"shortDescription":{"type":"string","nullable":true},"longDescription":{"type":"string","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ProductExternalIdBag"}]},"website":{"type":"string"},"status":{"type":"string"},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"settings":{"allOf":[{"$ref":"#/components/schemas/ProductSettings"}]},"statistics":{"allOf":[{"$ref":"#/components/schemas/ProductStatistics"}]}},"additionalProperties":false},"ProductAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"pending":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"ProductExternalIdBag":{"type":"object","properties":{"operations":{"type":"string","nullable":true},"defaultErpItem":{"type":"string","nullable":true}},"additionalProperties":false},"ProductSettings":{"type":"object","properties":{"productOrdering":{"type":"boolean"},"productRequests":{"allOf":[{"$ref":"#/components/schemas/ProductRequestsSetting"}]},"itemSelection":{"type":"boolean"},"orderQueueChanges":{"type":"boolean"},"preValidation":{"allOf":[{"$ref":"#/components/schemas/PreValidationSettings"}]},"splitBilling":{"allOf":[{"$ref":"#/components/schemas/ProductSplitBillingRequestsSetting"}]},"sendCostToErp":{"type":"boolean","nullable":true},"subscriptionCessation":{"allOf":[{"$ref":"#/components/schemas/SubscriptionCessationSetting"}]}},"additionalProperties":false},"ProductRequestsSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"name":{"type":"string","nullable":true},"label":{"type":"string","nullable":true}},"additionalProperties":false},"PreValidationSettings":{"type":"object","properties":{"purchaseOrderDraft":{"type":"boolean"},"purchaseOrderQuerying":{"type":"boolean"},"changeOrderDraft":{"type":"boolean"},"configurationOrderDraft":{"type":"boolean"},"terminationOrder":{"type":"boolean"}},"additionalProperties":false},"ProductSplitBillingRequestsSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"type":{"type":"string","nullable":true}},"additionalProperties":false},"SubscriptionCessationSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"mode":{"enum":["Termination","Auto-renewal","Termination or auto-renewal"],"type":"string","nullable":true}},"additionalProperties":false},"ProductStatistics":{"type":"object","properties":{"itemCount":{"type":"integer","format":"int32"},"ordersPlacedCount":{"type":"integer","format":"int32"},"agreementCount":{"type":"integer","format":"int32"},"subscriptionCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"ParameterValue":{"type":"object","properties":{"id":{"type":"string"},"externalId":{"type":"string","nullable":true},"type":{"type":"string"},"multiple":{"type":"boolean"},"name":{"type":"string"},"value":{},"displayValue":{"type":"string"}},"additionalProperties":false},"AgreementLinePrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"unitSP":{"type":"number","format":"double","nullable":true},"unitPP":{"type":"number","format":"double","nullable":true},"PPx1":{"type":"number","format":"double","nullable":true},"SPx1":{"type":"number","format":"double","nullable":true},"SPxY":{"type":"number","format":"double","nullable":true},"SPxM":{"type":"number","format":"double","nullable":true},"PPxY":{"type":"number","format":"double","nullable":true},"PPxM":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"Order":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/OrderAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/OrderType"}]},"status":{"allOf":[{"$ref":"#/components/schemas/OrderStatus"}]},"notes":{"type":"string","nullable":true},"comments":{"type":"string","nullable":true},"statusNotes":{"allOf":[{"$ref":"#/components/schemas/ParametrisedMessage"}],"nullable":true},"template":{"type":"object","allOf":[{"$ref":"#/components/schemas/TemplateRef"}]},"listing":{"type":"object","allOf":[{"$ref":"#/components/schemas/ListingRef"}]},"authorization":{"type":"object","allOf":[{"$ref":"#/components/schemas/AuthorizationRef"}]},"agreement":{"type":"object","allOf":[{"$ref":"#/components/schemas/AgreementRef"}]},"assignee":{"allOf":[{"$ref":"#/components/schemas/PlatformIdentity"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"price":{"allOf":[{"$ref":"#/components/schemas/OrderSummaryPrice"}]},"lines":{"type":"array","items":{"$ref":"#/components/schemas/OrderLine"}},"subscriptions":{"type":"array","items":{"$ref":"#/components/schemas/OrderSubscriptionRef"}},"assets":{"type":"array","items":{"$ref":"#/components/schemas/OrderAssetRef"}},"parameters":{"allOf":[{"$ref":"#/components/schemas/ParameterBag"}]},"error":{"allOf":[{"$ref":"#/components/schemas/ParametrisedMessage"}],"nullable":true},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"client":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"licensee":{"type":"object","allOf":[{"$ref":"#/components/schemas/LicenseeRef"}]},"buyer":{"allOf":[{"$ref":"#/components/schemas/Buyer"}]},"seller":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"billTo":{"allOf":[{"$ref":"#/components/schemas/Buyer"}],"nullable":true},"pricingPolicy":{"type":"object","allOf":[{"$ref":"#/components/schemas/PricingPolicyRef"}]},"termsAndConditions":{"type":"array","items":{"$ref":"#/components/schemas/CommerceTermsAndConditionsRef"}},"certificates":{"type":"array","items":{"$ref":"#/components/schemas/CertificateRef"}},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSource"}],"nullable":true}},"additionalProperties":false},"OrderAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"completed":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"failed":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"processing":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"querying":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"quoted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"OrderType":{"enum":["Purchase","Change","Termination","Configuration"],"type":"string"},"OrderStatus":{"enum":["New","Draft","Deleted","Processing","Querying","Failed","Completed","Quoted"],"type":"string"},"AgreementRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"status":{"allOf":[{"$ref":"#/components/schemas/AgreementStatus"}]}},"additionalProperties":false},"ExternalIds":{"type":"object","properties":{"client":{"type":"string","nullable":true},"operations":{"type":"string","nullable":true},"vendor":{"type":"string","nullable":true}},"additionalProperties":false},"OrderSummaryPrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"defaultMarkup":{"type":"number","format":"double","nullable":true},"PPx1":{"type":"number","format":"double","nullable":true},"SPx1":{"type":"number","format":"double","nullable":true},"SPxY":{"type":"number","format":"double","nullable":true},"SPxM":{"type":"number","format":"double","nullable":true},"PPxY":{"type":"number","format":"double","nullable":true},"PPxM":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"OrderLine":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"oldQuantity":{"type":"integer","format":"int32"},"quantity":{"type":"integer","format":"int32"},"price":{"allOf":[{"$ref":"#/components/schemas/OrderLinePrice"}]},"item":{"allOf":[{"$ref":"#/components/schemas/ProductItem"}]},"subscription":{"allOf":[{"$ref":"#/components/schemas/OrderSubscription"}]},"asset":{"allOf":[{"$ref":"#/components/schemas/OrderAsset"}]},"agreement":{"allOf":[{"$ref":"#/components/schemas/Agreement"}]},"order":{"allOf":[{"$ref":"#/components/schemas/Order"}]},"client":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"vendor":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"buyer":{"allOf":[{"$ref":"#/components/schemas/Buyer"}]},"seller":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"description":{"type":"string","nullable":true},"info":{"allOf":[{"$ref":"#/components/schemas/PriceInfo"}]}},"additionalProperties":false},"OrderLinePrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"unitSP":{"type":"number","format":"double","nullable":true},"unitPP":{"type":"number","format":"double","nullable":true},"PPx1":{"type":"number","format":"double","nullable":true},"SPx1":{"type":"number","format":"double","nullable":true},"SPxY":{"type":"number","format":"double","nullable":true},"SPxM":{"type":"number","format":"double","nullable":true},"PPxY":{"type":"number","format":"double","nullable":true},"PPxM":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"OrderSubscription":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/OrderSubscriptionAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"startDate":{"type":"string","format":"date-time"},"terminationDate":{"type":"string","format":"date-time","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"terms":{"allOf":[{"$ref":"#/components/schemas/TermsEntity"}]},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"status":{"allOf":[{"$ref":"#/components/schemas/OrderSubscriptionStatus"}]},"commitmentDate":{"type":"string","format":"date-time","nullable":true},"parameters":{"allOf":[{"$ref":"#/components/schemas/SubscriptionParameterBag"}]},"agreement":{"type":"object","allOf":[{"$ref":"#/components/schemas/AgreementRef"}]},"price":{"allOf":[{"$ref":"#/components/schemas/SubscriptionSummaryPrice"}]},"lines":{"type":"array","items":{"$ref":"#/components/schemas/OrderLine"},"nullable":true},"template":{"type":"object","allOf":[{"$ref":"#/components/schemas/TemplateRef"}]},"autoRenew":{"type":"boolean"}},"additionalProperties":false},"OrderSubscriptionAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"active":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminating":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updating":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"OrderSubscriptionStatus":{"enum":["Draft","Active","Deleted","Updating","Terminating","Terminated"],"type":"string"},"SubscriptionParameterBag":{"type":"object","properties":{"fulfillment":{"type":"array","items":{"$ref":"#/components/schemas/CommerceParameter"},"nullable":true}},"additionalProperties":false},"CommerceParameter":{"type":"object","properties":{"id":{"type":"string"},"externalId":{"type":"string","nullable":true},"name":{"type":"string"},"type":{"allOf":[{"$ref":"#/components/schemas/ParameterType"}]},"phase":{"allOf":[{"$ref":"#/components/schemas/ParameterPhase"}]},"scope":{"allOf":[{"$ref":"#/components/schemas/ParameterScope"}]},"multiple":{"type":"boolean"},"error":{"allOf":[{"$ref":"#/components/schemas/ParametrisedMessage"}],"nullable":true},"constraints":{"allOf":[{"$ref":"#/components/schemas/ParameterConstraints"}],"nullable":true},"displayValue":{"type":"string","nullable":true},"value":{"nullable":true}},"additionalProperties":false},"ParameterType":{"enum":["SingleLineText","MultiLineText","Address","Contact","Checkbox","Choice","Subdomain","Heading","DropDown","Email","DataObject","Date"],"type":"string"},"ParameterPhase":{"enum":["Configuration","Order","Fulfillment"],"type":"string"},"ParameterScope":{"enum":["Agreement","Item","Subscription","Order","Asset"],"type":"string"},"ParameterConstraints":{"type":"object","properties":{"required":{"type":"boolean"},"hidden":{"type":"boolean"},"readonly":{"type":"boolean"},"capacity":{"allOf":[{"$ref":"#/components/schemas/CapacitySettings"}],"nullable":true}},"additionalProperties":false},"CapacitySettings":{"type":"object","properties":{"min":{"type":"integer","format":"int32"},"max":{"type":"integer","format":"int32"}},"additionalProperties":false},"SubscriptionSummaryPrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"SPxY":{"type":"number","format":"double","nullable":true},"SPxM":{"type":"number","format":"double","nullable":true},"PPxY":{"type":"number","format":"double","nullable":true},"PPxM":{"type":"number","format":"double","nullable":true},"defaultMarkup":{"type":"number","format":"double","nullable":true},"defaultMargin":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"OrderAsset":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/OrderAssetAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"status":{"allOf":[{"$ref":"#/components/schemas/AssetStatus"}]},"price":{"allOf":[{"$ref":"#/components/schemas/AssetSummaryPrice"}]},"template":{"type":"object","allOf":[{"$ref":"#/components/schemas/TemplateRef"}]},"parameters":{"allOf":[{"$ref":"#/components/schemas/AssetParameterBag"}]},"terms":{"allOf":[{"$ref":"#/components/schemas/TermsEntity"}]},"lines":{"type":"array","items":{"$ref":"#/components/schemas/OrderLine"},"nullable":true}},"additionalProperties":false},"OrderAssetAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"draft":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"active":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"AssetStatus":{"enum":["New","Draft","Active","Terminated"],"type":"string"},"AssetSummaryPrice":{"type":"object","properties":{"currency":{"type":"string"},"markup":{"type":"number","format":"double"},"margin":{"type":"number","format":"double"},"defaultMarkupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"markupSource":{"allOf":[{"$ref":"#/components/schemas/MarkupSourcePrice"}],"nullable":true},"PPx1":{"type":"number","format":"double","nullable":true},"SPx1":{"type":"number","format":"double","nullable":true},"defaultMarkup":{"type":"number","format":"double","nullable":true},"defaultMargin":{"type":"number","format":"double","nullable":true}},"additionalProperties":false},"AssetParameterBag":{"type":"object","properties":{"fulfillment":{"type":"array","items":{"$ref":"#/components/schemas/CommerceParameter"},"nullable":true}},"additionalProperties":false},"PriceInfo":{"type":"object","properties":{"visible":{"type":"boolean"},"description":{"type":"string","nullable":true}},"additionalProperties":false},"OrderSubscriptionRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"status":{"allOf":[{"$ref":"#/components/schemas/OrderSubscriptionStatus"}]},"autoRenew":{"type":"boolean"}},"additionalProperties":false},"OrderAssetRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"status":{"allOf":[{"$ref":"#/components/schemas/AssetStatus"}]}},"additionalProperties":false},"ParameterBag":{"type":"object","properties":{"ordering":{"type":"array","items":{"$ref":"#/components/schemas/CommerceParameter"},"nullable":true},"fulfillment":{"type":"array","items":{"$ref":"#/components/schemas/CommerceParameter"},"nullable":true}},"additionalProperties":false},"LicenseeRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalId":{"type":"string","nullable":true}},"additionalProperties":false},"PricingPolicyRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"client":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"eligibility":{"allOf":[{"$ref":"#/components/schemas/PricingPolicyEligibility"}]},"products":{"type":"array","items":{"$ref":"#/components/schemas/Product"},"nullable":true}},"additionalProperties":false},"PricingPolicyEligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"CommerceTermsAndConditionsRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"accepted":{"type":"string","format":"date-time","nullable":true},"acceptedBy":{"allOf":[{"$ref":"#/components/schemas/ExtendedIdentity"}]}},"additionalProperties":false},"ExtendedIdentity":{"type":"object","properties":{"id":{"type":"string"},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true}},"additionalProperties":false},"CertificateRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"MarkupSource":{"enum":["Unknown","PriceList","PricingPolicy","Manual"],"type":"string"},"AgreementLineStatus":{"enum":["Active","Terminated","Deleted","Expired"],"type":"string"},"Subscription":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/SubscriptionAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"startDate":{"type":"string","format":"date-time"},"terminationDate":{"type":"string","format":"date-time","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"terms":{"allOf":[{"$ref":"#/components/schemas/TermsEntity"}]},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"autoRenew":{"type":"boolean"},"status":{"allOf":[{"$ref":"#/components/schemas/SubscriptionStatus"}]},"commitmentDate":{"type":"string","format":"date-time"},"price":{"allOf":[{"$ref":"#/components/schemas/SubscriptionSummaryPrice"}]},"parameters":{"allOf":[{"$ref":"#/components/schemas/SubscriptionParameterBag"}]},"agreement":{"type":"object","allOf":[{"$ref":"#/components/schemas/AgreementRef"}]},"buyer":{"allOf":[{"$ref":"#/components/schemas/Buyer"}]},"licensee":{"type":"object","allOf":[{"$ref":"#/components/schemas/LicenseeRef"}]},"seller":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"split":{"type":"object","allOf":[{"$ref":"#/components/schemas/SplitBillingSubscriptionRef"}]},"splitStatus":{"allOf":[{"$ref":"#/components/schemas/SplitStatus"}]},"lines":{"type":"array","items":{"$ref":"#/components/schemas/AgreementLine"},"nullable":true},"template":{"type":"object","allOf":[{"$ref":"#/components/schemas/TemplateRef"}]}},"additionalProperties":false},"SubscriptionAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"active":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminating":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updating":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"expired":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"renewed":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"SubscriptionStatus":{"enum":["Active","Updating","Terminating","Terminated","Expired"],"type":"string"},"SplitBillingSubscriptionRef":{"type":"object","properties":{"id":{"type":"string"},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"SplitStatus":{"enum":["Disabled","Active","Review"],"type":"string"},"Asset":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/AssetAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ExternalIds"}]},"status":{"allOf":[{"$ref":"#/components/schemas/AssetStatus"}]},"price":{"allOf":[{"$ref":"#/components/schemas/AssetSummaryPrice"}]},"template":{"type":"object","allOf":[{"$ref":"#/components/schemas/TemplateRef"}]},"parameters":{"allOf":[{"$ref":"#/components/schemas/AssetParameterBag"}]},"terms":{"allOf":[{"$ref":"#/components/schemas/TermsEntity"}]},"agreement":{"type":"object","allOf":[{"$ref":"#/components/schemas/AgreementRef"}]},"product":{"allOf":[{"$ref":"#/components/schemas/Product"}]},"priceList":{"type":"object","allOf":[{"$ref":"#/components/schemas/PriceListRef"}]},"listing":{"type":"object","allOf":[{"$ref":"#/components/schemas/ListingRef"}]},"licensee":{"type":"object","allOf":[{"$ref":"#/components/schemas/LicenseeRef"}]},"lines":{"type":"array","items":{"$ref":"#/components/schemas/AgreementLine"},"nullable":true}},"additionalProperties":false},"AssetAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"draft":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"active":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"terminated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PriceListRef":{"type":"object","properties":{"id":{"type":"string"},"revision":{"type":"integer","format":"int32"},"currency":{"type":"string"}},"additionalProperties":false},"AssetRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"status":{"allOf":[{"$ref":"#/components/schemas/AssetStatus"}]}},"additionalProperties":false},"SubscriptionRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"SplitBillingAgreementRef":{"type":"object","properties":{"id":{"type":"string"},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/commerce-api/agreements/create-agreement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
